Index: tmp/org.txm.utils/src/org/txm/utils/ExecTimer.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/ExecTimer.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/ExecTimer.java	(revision 2402)
@@ -7,6 +7,7 @@
 public class ExecTimer {
 	static long startTime = 0, endTime = 0;
 	static String message = ""; //$NON-NLS-1$
+
 	public static void start() {
 		startTime = new Date().getTime();
 	}
@@ -17,24 +18,24 @@
 	}
 
 	static float t;
+
 	private static String setMessage(float time) {
 		t = time;
 		if (t < 1000) {
-			message = ""+((int)t)+UtilsCoreMessages.ExecTimer_0; //$NON-NLS-1$
-		}
-		else {
-			t = t/1000;
+			message = "" + ((int) t) + UtilsCoreMessages.ExecTimer_0; //$NON-NLS-1$
+		} else {
+			t = t / 1000;
 			if (t < 3) {
-				message = ""+t; //$NON-NLS-1$
-				message = ""+(message.substring(0, 3))+UtilsCoreMessages.ExecTimer_1; //$NON-NLS-1$
-			} else if (t < 60) 
-				message = ""+((int)t)+UtilsCoreMessages.ExecTimer_1; //$NON-NLS-1$
-			else if (t < 3600) 
-				message = ""+((int)t/60)+UtilsCoreMessages.ExecTimer_2+((int)t%60)+UtilsCoreMessages.ExecTimer_1; //$NON-NLS-1$
-			else 
-				message = ""+((int)t/3600)+UtilsCoreMessages.ExecTimer_3+((int)(t%3600)/60)+UtilsCoreMessages.ExecTimer_2+((int)(t%3600)%60)+ UtilsCoreMessages.ExecTimer_1; //$NON-NLS-1$
+				message = "" + t; //$NON-NLS-1$
+				message = "" + (message.substring(0, 3)) + UtilsCoreMessages.ExecTimer_1; //$NON-NLS-1$
+			} else if (t < 60)
+				message = "" + ((int) t) + UtilsCoreMessages.ExecTimer_1; //$NON-NLS-1$
+			else if (t < 3600)
+				message = "" + ((int) t / 60) + UtilsCoreMessages.ExecTimer_2 + ((int) t % 60) + UtilsCoreMessages.ExecTimer_1; //$NON-NLS-1$
+			else
+				message = "" + ((int) t / 3600) + UtilsCoreMessages.ExecTimer_3 + ((int) (t % 3600) / 60) + UtilsCoreMessages.ExecTimer_2 + ((int) (t % 3600) % 60) + UtilsCoreMessages.ExecTimer_1; //$NON-NLS-1$
 		}
-		return message + " ("+(int)time+" ms)"; //$NON-NLS-1$ //$NON-NLS-2$
+		return message + " (" + (int) time + " ms)"; //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
 	public static String getMessage() {
Index: tmp/org.txm.utils/src/org/txm/utils/io/FileCopy.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/io/FileCopy.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/io/FileCopy.java	(revision 2402)
@@ -45,7 +45,7 @@
 public class FileCopy {
 
 	private static final boolean isWindows = System.getProperty("os.name").contains("Windows");
-	
+
 	/**
 	 * replace the file if it exists
 	 * 
@@ -57,47 +57,54 @@
 	public static boolean copy(File source, File dest) throws IOException {
 		return copy(source, dest, true);
 	}
-	
-	
+
 	/**
-	 * copy one file with nio package to accelerate the copy 
+	 * copy one file with nio package to accelerate the copy
 	 * 
 	 * !!! on windows : max size = 64mo !!!.
 	 * 
 	 * resolve symbolic links
 	 *
-	 * @param source the source
-	 * @param dest the dest
+	 * @param source
+	 *            the source
+	 * @param dest
+	 *            the dest
 	 * @return true, if successful
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public static boolean copy(File source, File dest, boolean replace) throws IOException {
-		if (dest.exists() && !replace) return true; // don't replace file
-		
+		if (dest.exists() && !replace)
+			return true; // don't replace file
+
 		if (isWindows || source.length() >= Integer.MAX_VALUE) {
-			//System.out.println("COPY BIG FILE");
+			// System.out.println("COPY BIG FILE");
 			FileInputStream instream = null;
 			BufferedOutputStream outstream = null;
 			try {
-				//Open a stream of bytes to read the file bytes into the program
+				// Open a stream of bytes to read the file bytes into the program
 				instream = new FileInputStream(source);
-				//A stream of bytes from the program to the destination
+				// A stream of bytes from the program to the destination
 				outstream = new BufferedOutputStream(new FileOutputStream(dest));
 				byte[] buffer = new byte[4096];
 				int bytesRead;
-				//Write the bytes from the inputstream to the outputstream
-				while((bytesRead = instream.read(buffer))!=-1) {
+				// Write the bytes from the inputstream to the outputstream
+				while ((bytesRead = instream.read(buffer)) != -1) {
 					outstream.write(buffer, 0, bytesRead);
 				}
-			} catch (Exception e) {org.txm.utils.logger.Log.printStackTrace(e); return false; 
+			} catch (Exception e) {
+				org.txm.utils.logger.Log.printStackTrace(e);
+				return false;
 			} finally {
-				if (instream != null) instream.close();
-				if (outstream != null) outstream.close();
+				if (instream != null)
+					instream.close();
+				if (outstream != null)
+					outstream.close();
 				instream = null;
 				outstream = null;
 			}
 		} else {
-			//System.out.println("COPY NORMAL FILE");
+			// System.out.println("COPY NORMAL FILE");
 			FileChannel in = null, out = null;
 			FileInputStream fis = null;
 			FileOutputStream fos = null;
@@ -109,74 +116,87 @@
 
 				long size = in.size();
 				MappedByteBuffer buf = in.map(FileChannel.MapMode.READ_ONLY, 0, size);
-				
+
 				out.write(buf);
-			} catch(Exception e) {
+			} catch (Exception e) {
 				org.txm.utils.logger.Log.printStackTrace(e);
-				
-				if (fis != null) fis.close();
-				if (fos != null) fos.close();
-				if (in != null)	in.close();
-				if (out != null) out.close();
-				
+
+				if (fis != null)
+					fis.close();
+				if (fos != null)
+					fos.close();
+				if (in != null)
+					in.close();
+				if (out != null)
+					out.close();
+
 				return false;
 			} finally {
-				if (fis != null) fis.close();
-				if (fos != null) fos.close();
-				if (in != null)	in.close();
-				if (out != null) out.close();
+				if (fis != null)
+					fis.close();
+				if (fos != null)
+					fos.close();
+				if (in != null)
+					in.close();
+				if (out != null)
+					out.close();
 			}
 		}
 		return true;
 	}
 
 	/**
-	 * Copy files. Don't erase the destination directory and replace files if they already exists
+	 * Copy files. Don't erase the destination directory and replace files if they
+	 * already exists
 	 * 
 	 * warning: Symbolic links are not resolved and the link file is recreated
 	 *
-	 * @param src the src directory
-	 * @param dest the dest directory
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param src
+	 *            the src directory
+	 * @param dest
+	 *            the dest directory
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public static void copyFiles(File src, File dest) throws IOException {
 		copyFiles(src, dest, true);
 	}
-	
+
 	/**
-	 * Copy files. Don't erase the destination directory and replace files if they already exists
+	 * Copy files. Don't erase the destination directory and replace files if they
+	 * already exists
 	 *
 	 * warning: Symbolic links are not resolved and the link file is recreated
 	 *
-	 * @param src the src directory
-	 * @param dest the dest directory
-	 * @param replace replace files if true
-	 * @throws IOException Signals that an I/O exception has occurred.
+	 * @param src
+	 *            the src directory
+	 * @param dest
+	 *            the dest directory
+	 * @param replace
+	 *            replace files if true
+	 * @throws IOException
+	 *             Signals that an I/O exception has occurred.
 	 */
 	public static void copyFiles(File src, File dest, boolean replace) throws IOException {
 
 		// Check to ensure that the source is valid...
 		if (!src.exists()) {
-			throw new IOException(UtilsCoreMessages.FileCopy_0 + src.getAbsolutePath()
-					+ "."); //$NON-NLS-1$ 
+			throw new IOException(UtilsCoreMessages.FileCopy_0 + src.getAbsolutePath() + "."); //$NON-NLS-1$
 		} else if (!src.canRead()) { // check to ensure we have rights to the
 			// source...
-			throw new IOException(UtilsCoreMessages.FileCopy_2 + src.getAbsolutePath()
-					+ "."); //$NON-NLS-1$ 
+			throw new IOException(UtilsCoreMessages.FileCopy_2 + src.getAbsolutePath() + "."); //$NON-NLS-1$
 		}
-		
-		
+
 		if (Files.isSymbolicLink(src.toPath())) { // copy symbolic links
 			Path target = Files.readSymbolicLink(src.toPath());
 			Files.createSymbolicLink(dest.toPath(), target);
 		} else if (src.isDirectory()) { // is it a directory ?
-			
+
 			if (!dest.exists()) { // does the destination already exist?
 				// if not create the file hierarchy
 				dest.mkdirs();
 				if (!dest.exists()) {
-					throw new IOException(UtilsCoreMessages.FileCopy_4
-							+ dest.getAbsolutePath() + "."); //$NON-NLS-1$ 
+					throw new IOException(UtilsCoreMessages.FileCopy_4 + dest.getAbsolutePath() + "."); //$NON-NLS-1$
 				}
 			}
 
@@ -196,36 +216,43 @@
 	}
 
 	public static void main(String[] args) throws IOException {
-//		File test1 = File.createTempFile("source", ".large"); //$NON-NLS-1$ //$NON-NLS-2$
-//		File test2 = File.createTempFile("source", ".verylarge"); //$NON-NLS-1$ //$NON-NLS-2$
-//		
-//		System.out.println("write "+test1); //$NON-NLS-1$
-//		writeBigFile(test1, Integer.MAX_VALUE / 2, 1);
-//		System.out.println("write "+test2); //$NON-NLS-1$
-//		writeBigFile(test2, Integer.MAX_VALUE / 2, 3);
-//		
-//		System.out.println("test1: "+test1+" : "+test1.length()); //$NON-NLS-1$ //$NON-NLS-2$
-//		System.out.println("test2: "+test2+" : "+test2.length()); //$NON-NLS-1$ //$NON-NLS-2$
-//		
-//		File copy1 = File.createTempFile("copy", ".large"); //$NON-NLS-1$ //$NON-NLS-2$
-//		File copy2 = File.createTempFile("copy", ".verylarge"); //$NON-NLS-1$ //$NON-NLS-2$
-//		
-//		System.out.println("Copy1 "+copy1); //$NON-NLS-1$
-//		FileCopy.copy(test1, copy1);
-//		System.out.println("Copy2 "+copy2); //$NON-NLS-1$
-//		FileCopy.copy(test2, copy2);
-//		
-//		System.out.println("copy1: "+copy1+" : "+copy1.length()); //$NON-NLS-1$ //$NON-NLS-2$
-//		System.out.println("copy2: "+copy2+" : "+copy2.length()); //$NON-NLS-1$ //$NON-NLS-2$
-//		
-//		System.out.println("delete 1 "+test1.delete()); //$NON-NLS-1$
-//		System.out.println("delete 2 "+test2.delete()); //$NON-NLS-1$
-//		System.out.println("delete c1 "+copy1.delete()); //$NON-NLS-1$
-//		System.out.println("delete c2 "+copy2.delete()); //$NON-NLS-1$
-		
+		// File test1 = File.createTempFile("source", ".large"); //$NON-NLS-1$
+		// //$NON-NLS-2$
+		// File test2 = File.createTempFile("source", ".verylarge"); //$NON-NLS-1$
+		// //$NON-NLS-2$
+		//
+		// System.out.println("write "+test1); //$NON-NLS-1$
+		// writeBigFile(test1, Integer.MAX_VALUE / 2, 1);
+		// System.out.println("write "+test2); //$NON-NLS-1$
+		// writeBigFile(test2, Integer.MAX_VALUE / 2, 3);
+		//
+		// System.out.println("test1: "+test1+" : "+test1.length()); //$NON-NLS-1$
+		// //$NON-NLS-2$
+		// System.out.println("test2: "+test2+" : "+test2.length()); //$NON-NLS-1$
+		// //$NON-NLS-2$
+		//
+		// File copy1 = File.createTempFile("copy", ".large"); //$NON-NLS-1$
+		// //$NON-NLS-2$
+		// File copy2 = File.createTempFile("copy", ".verylarge"); //$NON-NLS-1$
+		// //$NON-NLS-2$
+		//
+		// System.out.println("Copy1 "+copy1); //$NON-NLS-1$
+		// FileCopy.copy(test1, copy1);
+		// System.out.println("Copy2 "+copy2); //$NON-NLS-1$
+		// FileCopy.copy(test2, copy2);
+		//
+		// System.out.println("copy1: "+copy1+" : "+copy1.length()); //$NON-NLS-1$
+		// //$NON-NLS-2$
+		// System.out.println("copy2: "+copy2+" : "+copy2.length()); //$NON-NLS-1$
+		// //$NON-NLS-2$
+		//
+		// System.out.println("delete 1 "+test1.delete()); //$NON-NLS-1$
+		// System.out.println("delete 2 "+test2.delete()); //$NON-NLS-1$
+		// System.out.println("delete c1 "+copy1.delete()); //$NON-NLS-1$
+		// System.out.println("delete c2 "+copy2.delete()); //$NON-NLS-1$
+
 		File dir1 = new File("/home/mdecorde/TEMP/copydir");
 		File dir2 = new File("/home/mdecorde/TEMP/copydir3");
 		FileCopy.copyFiles(dir1, dir2);
 	}
 }
-
Index: tmp/org.txm.utils/src/org/txm/utils/io/IOUtils.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/io/IOUtils.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/io/IOUtils.java	(revision 2402)
@@ -57,7 +57,8 @@
 	 */
 	public List<File> listFiles(File dir) {
 		File[] files = dir.listFiles(HIDDENFILE_FILTER);
-		if (files == null) return new ArrayList<File>();
+		if (files == null)
+			return new ArrayList<File>();
 
 		return Arrays.asList(files);
 	}
@@ -95,7 +96,7 @@
 	public static ArrayList<String> find(File file, String encoding, String pattern, boolean normalizeSeparators) throws IOException {
 		ArrayList<String> matches = new ArrayList<String>();
 		String text = IOUtils.getText(file, encoding);
-		//System.out.println(text);
+		// System.out.println(text);
 		if (normalizeSeparators) {
 			text = text.replaceAll("\\s", " "); //$NON-NLS-1$ //$NON-NLS-2$
 			text = text.replaceAll("\\t", " "); //$NON-NLS-1$ //$NON-NLS-2$
@@ -118,23 +119,25 @@
 	/**
 	 * 
 	 * @param file
-	 * @param encoding if null the "UTF-8" encoding is used
+	 * @param encoding
+	 *            if null the "UTF-8" encoding is used
 	 * @return
 	 * @throws UnsupportedEncodingException
 	 * @throws FileNotFoundException
 	 */
 	public static BufferedReader getReader(File file, String encoding) throws UnsupportedEncodingException, FileNotFoundException {
-		if (encoding == null) encoding = "UTF-8"; // prevent null exception
-		
+		if (encoding == null)
+			encoding = "UTF-8"; // prevent null exception
+
 		FileInputStream input = new FileInputStream(file);
 		DetectBOM db = new DetectBOM(file);
-		for (int ibom = 0 ; ibom < db.getBOMSize() ; ibom++)
+		for (int ibom = 0; ibom < db.getBOMSize(); ibom++)
 			try {
 				input.read();
 			} catch (IOException e) {
 				e.printStackTrace();
 			}
-		return new BufferedReader(new InputStreamReader(input , encoding));
+		return new BufferedReader(new InputStreamReader(input, encoding));
 	}
 
 	public static BufferedReader getReader(String file) throws UnsupportedEncodingException, FileNotFoundException {
@@ -147,7 +150,7 @@
 
 	public static BufferedReader getReader(URL url, String encoding) throws IOException {
 		InputStream inputStream = url.openConnection().getInputStream();
-		return new BufferedReader(new InputStreamReader(inputStream , encoding));
+		return new BufferedReader(new InputStreamReader(inputStream, encoding));
 	}
 
 	public static void setText(File file, String text, String encoding) throws IOException {
@@ -159,12 +162,13 @@
 	public static String getText(URL url, String encoding) throws IOException {
 		BufferedReader reader = getReader(url, encoding);
 		StringBuilder builder = new StringBuilder();
-		try{
+		try {
 			String line = reader.readLine();
 			while (line != null) {
 				builder.append(line);
 				line = reader.readLine();
-				if (line != null) builder.append("\n"); //$NON-NLS-1$
+				if (line != null)
+					builder.append("\n"); //$NON-NLS-1$
 			}
 		} finally {
 			reader.close();
@@ -175,16 +179,17 @@
 	public static String getText(File file) throws IOException {
 		return getText(file, UTF8);
 	}
-	
+
 	public static String getText(File file, String encoding) throws IOException {
 		BufferedReader reader = getReader(file, encoding);
 		StringBuilder builder = new StringBuilder();
-		try{
+		try {
 			String line = reader.readLine();
 			while (line != null) {
 				builder.append(line);
 				line = reader.readLine();
-				if (line != null) builder.append("\n"); //$NON-NLS-1$
+				if (line != null)
+					builder.append("\n"); //$NON-NLS-1$
 			}
 		} finally {
 			reader.close();
@@ -205,7 +210,7 @@
 	}
 
 	public static PrintWriter getWriter(File file, String encoding, boolean append) throws UnsupportedEncodingException, FileNotFoundException {
-		return new PrintWriter(new OutputStreamWriter(new BufferedOutputStream(new FileOutputStream(file, append)) , encoding));
+		return new PrintWriter(new OutputStreamWriter(new BufferedOutputStream(new FileOutputStream(file, append)), encoding));
 	}
 
 	public static PrintWriter getWriter(String file) throws UnsupportedEncodingException, FileNotFoundException {
@@ -229,7 +234,7 @@
 				line = reader.readLine();
 			}
 			reader.close();
-		} catch(Exception e) {
+		} catch (Exception e) {
 			System.err.println(NLS.bind("Error while getting lines: {0}.", e.getLocalizedMessage()));
 		}
 		return lines;
@@ -266,13 +271,13 @@
 		IOUtils.write(file, text);
 	}
 
-	public static String firstLine(File file)  {
+	public static String firstLine(File file) {
 		try {
 			BufferedReader reader = getReader(file);
 			String line = reader.readLine();
 			reader.close();
 			return line;
-		} catch(Exception e) {
+		} catch (Exception e) {
 			return null;
 		}
 	}
Index: tmp/org.txm.utils/src/org/txm/utils/Tuple.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/Tuple.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/Tuple.java	(revision 2402)
@@ -3,31 +3,49 @@
 import java.util.HashSet;
 
 public class Tuple<T> {
-	
+
 	public T a, b;
-	
-	public Tuple(T a, T b) { this.a = a ; this.b = b;}
-	
+
+	public Tuple(T a, T b) {
+		this.a = a;
+		this.b = b;
+	}
+
 	static String format = "%s %s";
-	public String toString() { return String.format(format, a, b);}
+
+	public String toString() {
+		return String.format(format, a, b);
+	}
+
 	@Override
-	public int hashCode() {return a.hashCode()*b.hashCode();}
+	public int hashCode() {
+		return a.hashCode() * b.hashCode();
+	}
+
 	@Override
-	public boolean equals(Object t) {if (t instanceof Tuple) return equals((Tuple<?>)t); else return super.equals(t);};
-	public boolean equals(Tuple<Object> t) {return a.equals(t.a) & b.equals(t.b);};
-	
+	public boolean equals(Object t) {
+		if (t instanceof Tuple)
+			return equals((Tuple<?>) t);
+		else
+			return super.equals(t);
+	};
+
+	public boolean equals(Tuple<Object> t) {
+		return a.equals(t.a) & b.equals(t.b);
+	};
+
 	public static void main(String[] args) {
-		Tuple<Integer> t1 = new Tuple<Integer>(1,1);
-		Tuple<Integer> t2 = new Tuple<Integer>(1,2);
-		Tuple<Integer> t3 = new Tuple<Integer>(1,3);
-		Tuple<Integer> t33 = new Tuple<Integer>(1,3);
-		
+		Tuple<Integer> t1 = new Tuple<Integer>(1, 1);
+		Tuple<Integer> t2 = new Tuple<Integer>(1, 2);
+		Tuple<Integer> t3 = new Tuple<Integer>(1, 3);
+		Tuple<Integer> t33 = new Tuple<Integer>(1, 3);
+
 		HashSet<Tuple<Integer>> set = new HashSet<Tuple<Integer>>();
 		set.add(t1);
 		set.add(t2);
 		set.add(t3);
 		set.add(t33);
-		
+
 		System.out.println(set);
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.utils/src/org/txm/utils/StreamHog.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/StreamHog.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/StreamHog.java	(revision 2402)
@@ -35,9 +35,11 @@
 import org.txm.utils.logger.Log;
 
 /**
- * The StreamHog read the given InputStream in a Thread until the InputStream is closed.
+ * The StreamHog read the given InputStream in a Thread until the InputStream is
+ * closed.
  * 
- * If a MessagePrinter is set, then the messages are displayed with the MessagePrinter and not in sys.out
+ * If a MessagePrinter is set, then the messages are displayed with the
+ * MessagePrinter and not in sys.out
  */
 public class StreamHog extends Thread {
 
@@ -47,12 +49,14 @@
 
 	public String lastline;
 	boolean log;
-	
+
 	/**
 	 * Instantiates a new stream hog.
 	 *
-	 * @param is the is
-	 * @param log the capture
+	 * @param is
+	 *            the is
+	 * @param log
+	 *            the capture
 	 */
 	public StreamHog(InputStream is, boolean log) {
 		this.setName("");
@@ -60,11 +64,11 @@
 		this.log = log;
 		start();
 	}
-	
+
 	public String getLastMessage() {
 		return lastline;
 	}
-	
+
 	public InputStream getInputStream() {
 		return is;
 	}
@@ -73,7 +77,9 @@
 		return br;
 	}
 
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
+	 * 
 	 * @see java.lang.Thread#run()
 	 */
 	@Override
@@ -83,20 +89,21 @@
 			String line = null;
 			while ((line = br.readLine()) != null) {
 				if (log) { // we are supposed to capture the output from
-					Log.info(this.getName()+">" + line); //$NON-NLS-1$
+					Log.info(this.getName() + ">" + line); //$NON-NLS-1$
 				}
-				
+
 				printMessage(line);
 				lastline = line;
 			}
 		} catch (Throwable e) {
-			Log.fine("ERROR: broken process logging : "+e); //$NON-NLS-1$
+			Log.fine("ERROR: broken process logging : " + e); //$NON-NLS-1$
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 	}
-	
+
 	/**
 	 * print the message to any registered MessagePrinter
+	 * 
 	 * @param msg
 	 */
 	public void printMessage(String msg) {
@@ -109,6 +116,7 @@
 
 	/**
 	 * Use this method to retrieve messages
+	 * 
 	 * @param mp
 	 */
 	public void registerMessagePrinter(MessagePrinter mp) {
@@ -122,7 +130,8 @@
 	/**
 	 * Sets the prints the.
 	 *
-	 * @param log activate message logs if true
+	 * @param log
+	 *            activate message logs if true
 	 */
 	public void setPrint(boolean log) {
 		this.log = log;
Index: tmp/org.txm.utils/src/org/txm/utils/Pair.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/Pair.java	(revision 2401)
+++ tmp/org.txm.utils/src/org/txm/utils/Pair.java	(revision 2402)
@@ -35,22 +35,26 @@
 /**
  * similar to a C++ pair @ author mdecorde.
  *
- * @param <T> the generic type
- * @param <V> the value type
+ * @param <T>
+ *            the generic type
+ * @param <V>
+ *            the value type
  */
 public class Pair<T, V> {
-	
+
 	/** The o1. */
 	public T o1;
-	
+
 	/** The o2. */
 	public V o2;
 
 	/**
 	 * Instantiates a new pair.
 	 *
-	 * @param o1 the o1
-	 * @param o2 the o2
+	 * @param o1
+	 *            the o1
+	 * @param o2
+	 *            the o2
 	 */
 	public Pair(T o1, V o2) {
 		this.o1 = o1;
@@ -60,8 +64,10 @@
 	/**
 	 * Same.
 	 *
-	 * @param o1 the o1
-	 * @param o2 the o2
+	 * @param o1
+	 *            the o1
+	 * @param o2
+	 *            the o2
 	 * @return true, if successful
 	 */
 	public static boolean same(Object o1, Object o2) {
@@ -89,7 +95,8 @@
 	/**
 	 * Sets the first.
 	 *
-	 * @param o the new first
+	 * @param o
+	 *            the new first
 	 */
 	public void setFirst(T o) {
 		o1 = o;
@@ -98,13 +105,16 @@
 	/**
 	 * Sets the second.
 	 *
-	 * @param o the new second
+	 * @param o
+	 *            the new second
 	 */
 	public void setSecond(V o) {
 		o2 = o;
 	}
 
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
+	 * 
 	 * @see java.lang.Object#equals(java.lang.Object)
 	 */
 	@Override
@@ -115,7 +125,9 @@
 		return same(p.o1, this.o1) && same(p.o2, this.o2);
 	}
 
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
+	 * 
 	 * @see java.lang.Object#toString()
 	 */
 	@Override
@@ -123,7 +135,9 @@
 		return "Pair{" + o1 + ", " + o2 + "}"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	}
 
-	/* (non-Javadoc)
+	/*
+	 * (non-Javadoc)
+	 * 
 	 * @see java.lang.Object#hashCode()
 	 */
 	@Override
@@ -131,41 +145,40 @@
 		if (o1 == null && o2 == null)
 			return 0;
 		if (o1 != null && o2 != null)
-			return this.o1.hashCode()*this.o2.hashCode();
+			return this.o1.hashCode() * this.o2.hashCode();
 		if (o1 != null)
 			return this.o1.hashCode();
 		else
 			return this.o2.hashCode();
 	}
-	
+
 	/**
 	 * Simple example test program.
 	 *
-	 * @param args the arguments
+	 * @param args
+	 *            the arguments
 	 */
 	public static void main(String[] args) {
 
 		HashMap<Pair, String> hashpair = new HashMap<Pair, String>();
-		
+
 		Pair<String, String> p1 = new Pair<String, String>("a", "b"); //$NON-NLS-1$ //$NON-NLS-2$
 		Pair<String, String> p2 = new Pair<String, String>("a", null); //$NON-NLS-1$
 		Pair<String, String> p3 = new Pair<String, String>("a", "b"); //$NON-NLS-1$ //$NON-NLS-2$
 		Pair<String, String> p4 = new Pair<String, String>(null, null);
-		System.out.println(p1.equals(new Pair<Integer, Integer>(new Integer(1),
-				new Integer(2)))
-				+ UtilsCoreMessages.Pair_0);
+		System.out.println(p1.equals(new Pair<Integer, Integer>(new Integer(1), new Integer(2))) + UtilsCoreMessages.Pair_0);
 		System.out.println(p4.equals(p2) + UtilsCoreMessages.Pair_0);
 		System.out.println(p2.equals(p4) + UtilsCoreMessages.Pair_0);
 		System.out.println(p1.equals(p3) + UtilsCoreMessages.Pair_1);
 		System.out.println(p4.equals(p4) + UtilsCoreMessages.Pair_1);
 		hashpair.containsKey(p1);
-		hashpair.put(p1,"p1"); //$NON-NLS-1$
-		hashpair.put(p2,"p2"); //$NON-NLS-1$
-		hashpair.put(p3,"p3"); //$NON-NLS-1$
-		hashpair.put(p4,"p4"); //$NON-NLS-1$
-		
+		hashpair.put(p1, "p1"); //$NON-NLS-1$
+		hashpair.put(p2, "p2"); //$NON-NLS-1$
+		hashpair.put(p3, "p3"); //$NON-NLS-1$
+		hashpair.put(p4, "p4"); //$NON-NLS-1$
+
 		System.out.println(hashpair);
-		System.out.println((p1==null ? p3==null : p1.equals(p3)));
+		System.out.println((p1 == null ? p3 == null : p1.equals(p3)));
 	}
 
 }
